using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zad1pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s=Console.ReadLine().Split(' ');
            int N = int.Parse(s[0]);
            int L = int.Parse(s[1]);
            string[]hstr=Console.ReadLine().Split();
            int[]h=new int[N];
            for (int i = 0; i < N; i++)
            {
                h[i] = int.Parse(hstr[i]);
            }
            int brs = -1;
            for (int i = 0; i < N; i++)
            {
                if (h[i] <= L)
                {
                    brs = i + 1;
                    break;
                }
            }
            Console.WriteLine(brs);
            Console.ReadLine();




        }
    }
}